Subject: Re: [PATCH 03/65] powerpc/mm/subpage: Clear RWX bit to indicate no access

From: Balbir Singh <[email-masked]>
Date: Tue, 5 Apr 2016 13:30:07 +1000

On 05/04/16 00:59, Aneesh Kumar K.V wrote:
> Balbir Singh <[email-masked]> writes:
>
>> [ text/plain ]
>>
>>
>> On 27/03/16 19:23, Aneesh Kumar K.V wrote:
>>> Subpage protection used to depend on _PAGE_USER bit to implement no
>>> access mode. This patch switch that to use _PAGE_RWX. We clear READ,
>>> Write and Execute access from pte instead of clearing _PAGE_USER now.
>>> This was done so that we can switch to _PAGE_PRIVILEGED in later patch.
>>> subpage_protection() returns pte bits that need to be cleared.
>> Could you please clarify what bit needs to be cleared. I think the underlying
>> assumption is that when this routine is called access cannot be _PAGE_RWX
>
> I didn't follow the question. subpage_protection() returns the pte bits
> that need to be cleared for a specific access depending on the subpage
> prot mask we set using subpage_prot syscall. 
What I meant is that if the subpage protection was no access, then _PAGE_RWX cannot
be set in the access value.
>>> Instead of updating the interface to handle no-access in a separate way,
>>> it appears simple to clear RWX acecss to indicate no access.
>>>
> -aneesh
>